Summary: METAR Decoder Software Package Library
Name: mdsplib
Version: 0.11
Release: alt1_14
License: LGPLv2+
Group: System/Libraries
URL: http://limulus.net/mdsplib/
Source: http://limulus.net/mdsplib/mdsplib-%{version}.tar.gz
Patch0: mdsplib-0.11-makefile.patch
Patch1: mdsplib-0.11-shared.patch
Patch2: mdsplib-0.11-typeerror.patch
Patch3: mdsplib-0.11-nullcheck.patch
Source44: import.info

%description
METAR is a French acronym for Aviation Routine Weather Report. It is the
standard format for reporting meteorological conditions. As a free service,
the National Weather Service continually updates a server with METARs from all
over the world.

The MDSP Library provides a programmer with two functions, the major one
being DcdMETAR, which decodes a METAR into structures provided by the
library. Also prtDMETR, which prints out a decoded METAR structure.


%package devel
Summary: Development files for the METAR Decoder Software Package Library
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
METAR is a French acronym for Aviation Routine Weather Report. It is the
standard format for reporting meteorological conditions. As a free service,
the National Weather Service continually updates a server with METARs from all
over the world.

The MDSP Library provides a programmer with two functions, the major one
being DcdMETAR, which decodes a METAR into structures provided by the
library. Also prtDMETR, which prints out a decoded METAR structure.


%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .shared
%patch2 -p1 -b .typeerr
%patch3 -p1 -b .nullcheck


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fpic"


%install
%{__make} install libdir=%{_libdir} DESTDIR=%{buildroot}


%files
%doc HISTORY LICENSE README*
%{_libdir}/libmetar.so.0

%files devel
%{_includedir}/metar.h
%{_libdir}/libmetar.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_14
- initial fc import

